//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2017.12.12 at 09:36:31 PM CET 
//


package pl.adriankozlowski.jpk.file;

import javax.xml.bind.annotation.*;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * Zestaw danych identyfikacyjnych dla osoby fizycznej zagranicznej
 * <p>
 * <p>Java class for TIdentyfikatorOsobyFizycznejZagranicznej complex type.
 * <p>
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;complexType name="TIdentyfikatorOsobyFizycznejZagranicznej">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ImiePierwsze" type="{http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/}TImie"/>
 *         &lt;element name="Nazwisko" type="{http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/}TNazwisko"/>
 *         &lt;element name="DataUrodzenia" type="{http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/}TData"/>
 *         &lt;element name="MiejsceUrodzenia" type="{http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/}TMiejscowosc"/>
 *         &lt;element name="ImieOjca" type="{http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/}TImie" minOccurs="0"/>
 *         &lt;element name="ImieMatki" type="{http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/}TImie" minOccurs="0"/>
 *         &lt;element name="NIP" type="{http://crd.gov.pl/xml/schematy/dziedzinowe/mf/2016/01/25/eD/DefinicjeTypy/}TNrNIP" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TIdentyfikatorOsobyFizycznejZagranicznej", propOrder = {
        "imiePierwsze",
        "nazwisko",
        "dataUrodzenia",
        "miejsceUrodzenia",
        "imieOjca",
        "imieMatki",
        "nip"
})
public class TIdentyfikatorOsobyFizycznejZagranicznej {

    @XmlElement(name = "ImiePierwsze", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String imiePierwsze;
    @XmlElement(name = "Nazwisko", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String nazwisko;
    @XmlElement(name = "DataUrodzenia", required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar dataUrodzenia;
    @XmlElement(name = "MiejsceUrodzenia", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String miejsceUrodzenia;
    @XmlElement(name = "ImieOjca")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String imieOjca;
    @XmlElement(name = "ImieMatki")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String imieMatki;
    @XmlElement(name = "NIP")
    protected String nip;

    /**
     * Gets the value of the imiePierwsze property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getImiePierwsze() {
        return imiePierwsze;
    }

    /**
     * Sets the value of the imiePierwsze property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setImiePierwsze(String value) {
        this.imiePierwsze = value;
    }

    /**
     * Gets the value of the nazwisko property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getNazwisko() {
        return nazwisko;
    }

    /**
     * Sets the value of the nazwisko property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setNazwisko(String value) {
        this.nazwisko = value;
    }

    /**
     * Gets the value of the dataUrodzenia property.
     *
     * @return possible object is
     * {@link XMLGregorianCalendar }
     */
    public XMLGregorianCalendar getDataUrodzenia() {
        return dataUrodzenia;
    }

    /**
     * Sets the value of the dataUrodzenia property.
     *
     * @param value allowed object is
     *              {@link XMLGregorianCalendar }
     */
    public void setDataUrodzenia(XMLGregorianCalendar value) {
        this.dataUrodzenia = value;
    }

    /**
     * Gets the value of the miejsceUrodzenia property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getMiejsceUrodzenia() {
        return miejsceUrodzenia;
    }

    /**
     * Sets the value of the miejsceUrodzenia property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setMiejsceUrodzenia(String value) {
        this.miejsceUrodzenia = value;
    }

    /**
     * Gets the value of the imieOjca property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getImieOjca() {
        return imieOjca;
    }

    /**
     * Sets the value of the imieOjca property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setImieOjca(String value) {
        this.imieOjca = value;
    }

    /**
     * Gets the value of the imieMatki property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getImieMatki() {
        return imieMatki;
    }

    /**
     * Sets the value of the imieMatki property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setImieMatki(String value) {
        this.imieMatki = value;
    }

    /**
     * Gets the value of the nip property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getNIP() {
        return nip;
    }

    /**
     * Sets the value of the nip property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setNIP(String value) {
        this.nip = value;
    }

}
